Issue #5 new

Slick-Util is fairly outdated and there is a catch-22

Anonymous created an issue

I wasn't not sure whether I should bring up this issue with you guys or the LWJGL guys, but I came here because it was hosted on your domain. Slick Util hasn't been updated since June of 2010, and I'm sure there has been a lot of changes to the Slick2D codebase since then that involves some of the classes Slick-Util uses.

In addition, despite Slick Util being new enough to have deprecated the TrueTypeFont class, the replacement UnicodeFont class was not packaged in the .jar file!

Is the Slick2D team responsible for the maintenance of Slick Util? If so, please update the Slick Util package sometime soon.

Comments (2)

  1. davedes

    Users of SlickUtil should grab the latest code from Slick's development branch. If you'd rather have Slick-Util updated with the proper classes, you can submit a patch (pull request).

  2. Michael Dougherty

    I'd like to see Slick-Util updated. I'm wondering if anyone is working on this? If not I'd like to make a patch, probably just by simply mirroring the old Slick-Util as closely as possible with the new code. Let me know if this would be helpful, or if it's already in the works.

  3. Log in to comment